# $Revision: 1.52 $, $Date: 2002/09/12 15:11:43 $
Summary:	System for layout and rendering of internationalized text
Summary(pl):	System renderowania midzynarodowego tekstu
Summary(pt_BR):	Sistema para layout e renderizao de texto internacionalizado
Name:		pango
Version:	1.0.4
Release:	2
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.gtk.org/pub/gtk/v2.0/%{name}-%{version}.tar.bz2
Patch0:		%{name}-am_ac.patch
URL:		http://www.pango.org/
Requires:	freetype >= 2.1.2
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.0.1
BuildRequires:	glib2-devel >= 2.0.1
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	gtk-doc >= 0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libpango24

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_gtkdocdir	%{_defaultdocdir}/gtk-doc/html

# pango is not GNOME-specific
%define		_sysconfdir	/etc/X11

%description
System for layout and rendering of internationalized text.

%description -l pl
System obsugi i renderowania midzynarodowego tekstu.

%description -l pt_BR
Pango  um sistema para layout e renderizao de texto
internacionalizado.

%package devel
Summary:	System for layout and rendering of internationalized text
Summary(pl):	System obsugi i renderowania midzynarodowego tekstu
Summary(pt_BR):	Sistema para layout e renderizao de texto internacionalizado
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	gtk-doc-common
Obsoletes:	libpango24-devel

%description devel
Developer files for pango.

%description devel -l pl
Pliki developerskie pango.

%description devel -l pt_BR
Pango  um sistema para layout e renderizao de texto
internacionalizado.

%package static
Summary:	Static %{name} libraries
Summary(pl):	Biblioteki statyczne %{name}
Summary(pt_BR):	Sistema para layout e renderizao de texto internacionalizado
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static %{name} libraries.

%description static -l pl
Biblioteki statyczne %{name}.

%description static -l pt_BR
Pango  um sistema para layout e renderizao de texto
internacionalizado.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing acinclude.m4
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--with-fribidi \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir} \
	HTML_DIR=%{_gtkdocdir}

> $RPM_BUILD_ROOT%{_sysconfdir}/pango/pango.modules

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
umask 022
%{_bindir}/pango-querymodules > %{_sysconfdir}/pango/pango.modules

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog TODO examples/HELLO.utf8
%attr(755,root,root) %{_bindir}/pango-querymodules
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/pango
%dir %{_libdir}/pango/1.0.0
%dir %{_libdir}/pango/1.0.0/modules
%attr(755,root,root) %{_libdir}/pango/1.0.0/modules/*.so
%attr(755,root,root) %{_libdir}/pango/1.0.0/modules/*.la
%dir %{_sysconfdir}/pango
%config(noreplace) %verify(not size md5 mtime) %{_sysconfdir}/pango/pangox.aliases
%ghost %{_sysconfdir}/pango/pango.modules

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpango*.so
%attr(755,root,root) %{_libdir}/libpango*.la
%{_pkgconfigdir}/*
%{_includedir}/*
%{_gtkdocdir}/pango

%files static
%defattr(644,root,root,755)
%{_libdir}/libpango*.a
%attr(644,root,root) %{_libdir}/pango/1.0.0/modules/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pango.spec,v $
Revision 1.52  2002/09/12 15:11:43  wrobell
- fixed freetype version requirement
- rel. 2, stb

Revision 1.51  2002/08/04 05:18:37  kloczek
- updated to 1.0.4 (bugfix release).

Revision 1.50  2002/07/02 12:45:26  ankry
- Requires gtk-doc-common for -devel subpackage
- release 3

Revision 1.49  2002/06/18 14:07:27  blues
- release 2 - rebuild with new freetype
- added missing files to static package

Revision 1.48  2002/06/17 09:56:32  wiget
fix gtk-doc path

Revision 1.47  2002/06/17 09:56:10  wiget
fix gtk-doc path

Revision 1.46  2002/06/17 09:36:50  wiget
updated to 1.0.3

Revision 1.45  2002/05/30 13:32:21  kloczek
- release 2.

Revision 1.44  2002/05/30 13:02:46  qboosh
- Groups changed to X11/*, new %%doc

Revision 1.43  2002/05/28 06:18:43  kloczek
- updated to 1.0.2,
- merge translations from Conectiva,
- remove avoiding relinking in %install (isn't neccessary now).

Revision 1.42  2002/05/21 23:14:20  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.41  2002/04/13 15:55:51  kloczek
- release 3: BR: glib2-devel >= 2.0.1.

Revision 1.40  2002/04/13 15:53:26  michuz
- fixed %%files

Revision 1.39  2002/04/13 10:23:29  kloczek
- updated to 1.0.1.

Revision 1.38  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.37  2002/03/10 12:09:26  kloczek
- update to final 1.0.0,
- disable using system avalaible fribidi and use included mini_fribidi.

Revision 1.36  2002/03/07 11:05:46  misiek
- fixed libs

Revision 1.35  2002/03/07 10:54:47  misiek
- updated to 1.0.0 rc1

Revision 1.34  2002/03/05 11:33:33  wrobell
- set umask to 022 in post section so pango.modules has correct attributes
- rel. 2
- stb

Revision 1.33  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/02/19 02:25:40  kloczek
- rebuild against glib2 1.3.14.

Revision 1.30  2002/02/18 23:15:37  misiek
- updated to 0.25

Revision 1.29  2002/02/05 19:27:09  kloczek
- release 3.

Revision 1.28  2002/02/05 16:16:26  kloczek
- release 2: added use_system_fribidi patch for using system avalaible fribidi.

Revision 1.27  2002/02/02 06:16:15  kloczek
- updated to 0.24 and rebuild against glib2 1.3.13.

Revision 1.26  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2002/01/13 17:07:12  kloczek
- release 2: disable using gtk-doc.

Revision 1.24  2002/01/13 11:10:54  misiek
- updated BR

Revision 1.23  2002/01/12 20:50:26  michuz
- updated to 0.23

Revision 1.22  2001/11/08 20:02:02  kloczek
- added fribidi-devel to Requires list in devel subpackage,
- cosmetics.

Revision 1.21  2001/10/29 17:37:24  misiek
- sorry but splitting into subpackages was bad idea

Revision 1.20  2001/10/29 17:13:21  misiek
- finished 0.21 (misiek && wiget)

Revision 1.19  2001/10/28 14:31:12  misiek
- 0.21; nfy

Revision 1.18  2001/10/07 18:38:11  marcus
- ac/am 2.5

Revision 1.17  2001/06/13 07:40:44  cieciwa
-release 3,
-fixed pkgconfig file,
-moved pkgconfig file to devel package.

Revision 1.16  2001/06/12 12:06:19  cieciwa
-relesae 2,
-fixed problem with libraries.

Revision 1.15  2001/06/12 10:46:02  cieciwa
-commented unused entry "pango-config".

Revision 1.14  2001/05/09 16:58:32  wiget
BuildRequires pkgconfig

Revision 1.13  2001/05/07 10:58:21  cieciwa
- updated to version 0.16

Revision 1.12  2001/01/12 00:35:16  klakier
- fribidi-devel is not Required too (forgot to remove)

Revision 1.11  2001/01/12 00:09:14  klakier
- fribidi no loger required
- source URL changed to gtk site

Revision 1.10  2001/01/11 23:57:08  klakier
- v 0.13

Revision 1.9  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.8  2000/08/29 13:50:38  klakier
- *.a module files separated to static
- fixed pango-querymodules invocation in %%post

Revision 1.7  2000/08/28 20:20:58  klakier
- pango.modules location changed from /var/lib/pango to %{_sysconfdir}/pango

Revision 1.6  2000/08/24 20:27:26  klakier
- fixed perms on scripts

Revision 1.5  2000/08/24 18:25:58  klakier
- split to static
- fixed devel package

Revision 1.4  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/04 03:42:53  kloczek
- fixed lib*.so symlinks.

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file
